Re: [Zope] Reg Zope Installation Problem

2005-07-22 Thread praba kar

--- Florent Guillaume [EMAIL PROTECTED] wrote:

 praba kar  [EMAIL PROTECTED] wrote:
  I try to install zope 2.7.0.
 
 Stop right here. Zope 2.7.0 is hopelessly outdated.
 Use Zope 2.7.6.
 
 Florent
 
 -- 
 Florent Guillaume, Nuxeo (Paris, France)   CTO,
 Director of RD
 +33 1 40 33 71 59   http://nuxeo.com   [EMAIL PROTECTED]
 
Dear All,
I have same problem in Zope 2.7. 6
installation also. kinldy help me. I have installed
successfully  but I don't know how to start zope
properly. Actully now I am starting zope service using
runzope from bin directory of  instance.
I don't know how to use zopectl command.


--
2005-07-22T11:48:07 INFO(0) ZServer HTTP server
started at Fri Jul 22 11:48:07 2005
Hostname: localhost.localdomain
Port: 8080
--
2005-07-22T11:48:07 INFO(0) ZServer FTP server started
at Fri Jul 22 11:48:07 2005
Hostname: prabahar
Port: 8021
Traceback (most recent call last):
  File
/Programs/Zope/2.7.6/lib/python/Zope/Startup/run.py,
line 50, in ?
run()
  File
/Programs/Zope/2.7.6/lib/python/Zope/Startup/run.py,
line 19, in run
start_zope(opts.configroot)
  File
/Programs/Zope/2.7.6/lib/python/Zope/Startup/__init__.py,
line 52, in start_zope
starter.startZope()
  File
/Programs/Zope/2.7.6/lib/python/Zope/Startup/__init__.py,
line 231, in startZope
Zope.startup()
  File
/Programs/Zope/2.7.6/lib/python/Zope/__init__.py,
line 46, in startup
from Zope.App.startup import startup as _startup
  File
/Programs/Zope/2.7.6/lib/python/Zope/App/startup.py,
line 30, in ?
import OFS.Application
  File
/Programs/Zope/2.7.6/lib/python/OFS/Application.py,
line 17, in ?
import Globals,Folder,os,sys,App.Product,
App.ProductRegistry, misc_
  File
/Programs/Zope/2.7.6/lib/python/App/Product.py, line
44, in ?
from HelpSys.HelpSys import ProductHelp
  File
/Programs/Zope/2.7.6/lib/python/HelpSys/__init__.py,
line 15, in ?
import HelpSys
  File
/Programs/Zope/2.7.6/lib/python/HelpSys/HelpSys.py,
line 18, in ?
from Products.ZCatalog.ZCatalog import ZCatalog
  File
/Programs/Zope/2.7.6/lib/python/Products/ZCatalog/__init__.py,
line 16, in ?
import ZCatalog, Catalog, CatalogAwareness,
CatalogPathAwareness, ZClasses
  File
/Programs/Zope/2.7.6/lib/python/Products/ZCatalog/ZCatalog.py,
line 40, in ?
from IZCatalog import IZCatalog
  File
/Programs/Zope/2.7.6/lib/python/Products/ZCatalog/IZCatalog.py,
line 236, in ?
__doc__ = IZCatalog.__doc__ + __doc__
TypeError: unsupported operand type(s) for +:
'NoneType' and 'NoneType'



___
Too much spam in your inbox? Yahoo! Mail gives you the best spam protection for 
FREE! http://in.mail.yahoo.com
___
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope-dev )


Re: [Zope] Reg Zope Installation Problem

2005-07-22 Thread Tino Wildenhain
Am Freitag, den 22.07.2005, 07:31 +0100 schrieb praba kar:
 --- Florent Guillaume [EMAIL PROTECTED] wrote:
 
  praba kar  [EMAIL PROTECTED] wrote:
   I try to install zope 2.7.0.
  
  Stop right here. Zope 2.7.0 is hopelessly outdated.
  Use Zope 2.7.6.
  
  Florent
  
  -- 
  Florent Guillaume, Nuxeo (Paris, France)   CTO,
  Director of RD
  +33 1 40 33 71 59   http://nuxeo.com   [EMAIL PROTECTED]
  
 Dear All,
 I have same problem in Zope 2.7. 6
 installation also. kinldy help me. I have installed
 successfully  but I don't know how to start zope
 properly. Actully now I am starting zope service using
 runzope from bin directory of  instance.
 I don't know how to use zopectl command.


runzope or zopectl fg 
are good for testing if the installation works
because you get all the messages on screen (like you show below)

zopectl start 

should be used in production because it detaches zope 
from the shell. I think the INSTALL.txt section
needs some clarify on this - although zopectl
gets mentioned there:


Starting Zope

  Once an instance home has been created, the Zope server can now be
  started using this command:

/location/of/zope/instance/bin/runzope

  If you get errors indicating that addresses are in use, then you
  will have to supply arguments to runzope to change the ports used
  for HTTP or FTP. The default HTTP and FTP ports used by Zope are
  8080 and 8021 respectively. You can change the ports used by
  specifying the port-base parameter to runzope.  For example, to
  run Zope on ports 9080 and 9021::

./bin/runzope -X port-base=1000

  There is also an interactive Zope command shell named 'zopectl' that
  may be invoked by running 'bin/zopectl'.  By default, 'zopectl
  start' will start a background process that manages Zope and
  'zopectl stop' will stop the background process.




 
 --
 2005-07-22T11:48:07 INFO(0) ZServer HTTP server
 started at Fri Jul 22 11:48:07 2005
 Hostname: localhost.localdomain
 Port: 8080
 --
 2005-07-22T11:48:07 INFO(0) ZServer FTP server started
 at Fri Jul 22 11:48:07 2005
 Hostname: prabahar
 Port: 8021
 Traceback (most recent call last):
   File
 /Programs/Zope/2.7.6/lib/python/Zope/Startup/run.py,
 line 50, in ?
 run()
   File
 /Programs/Zope/2.7.6/lib/python/Zope/Startup/run.py,
 line 19, in run
 start_zope(opts.configroot)
   File
 /Programs/Zope/2.7.6/lib/python/Zope/Startup/__init__.py,
 line 52, in start_zope
 starter.startZope()
   File
 /Programs/Zope/2.7.6/lib/python/Zope/Startup/__init__.py,
 line 231, in startZope
 Zope.startup()
   File
 /Programs/Zope/2.7.6/lib/python/Zope/__init__.py,
 line 46, in startup
 from Zope.App.startup import startup as _startup
   File
 /Programs/Zope/2.7.6/lib/python/Zope/App/startup.py,
 line 30, in ?
 import OFS.Application
   File
 /Programs/Zope/2.7.6/lib/python/OFS/Application.py,
 line 17, in ?
 import Globals,Folder,os,sys,App.Product,
 App.ProductRegistry, misc_
   File
 /Programs/Zope/2.7.6/lib/python/App/Product.py, line
 44, in ?
 from HelpSys.HelpSys import ProductHelp
   File
 /Programs/Zope/2.7.6/lib/python/HelpSys/__init__.py,
 line 15, in ?
 import HelpSys
   File
 /Programs/Zope/2.7.6/lib/python/HelpSys/HelpSys.py,
 line 18, in ?
 from Products.ZCatalog.ZCatalog import ZCatalog
   File
 /Programs/Zope/2.7.6/lib/python/Products/ZCatalog/__init__.py,
 line 16, in ?
 import ZCatalog, Catalog, CatalogAwareness,
 CatalogPathAwareness, ZClasses
   File
 /Programs/Zope/2.7.6/lib/python/Products/ZCatalog/ZCatalog.py,
 line 40, in ?
 from IZCatalog import IZCatalog
   File
 /Programs/Zope/2.7.6/lib/python/Products/ZCatalog/IZCatalog.py,
 line 236, in ?
 __doc__ = IZCatalog.__doc__ + __doc__
 TypeError: unsupported operand type(s) for +:
 'NoneType' and 'NoneType'
 

this is faszinating. I have no Idea why on your installation
are the docstrings None. 

Yan you please quote the code lines around line 236 in 
/Programs/Zope/2.7.6/lib/python/Products/ZCatalog/IZCatalog.py 
?


-- 
Tino Wildenhain [EMAIL PROTECTED]

___
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope-dev )


[Zope] Reg Zope Installation Problem

2005-07-19 Thread praba kar
Dear All,

I try to install zope 2.7.0.  After the
installation. I have create zope installation
directory using mkzopeinstance.py.  From that
zope installation directory I try to run
bin/runzope command.  But It will give
below type error.
***

--
2005-07-19T19:00:04 INFO(0) ZServer HTTP server
started at Tue Jul 19 19:00:04 2005
Hostname: localhost.localdomain
Port: 8080
--
2005-07-19T19:00:04 INFO(0) ZServer FTP server started
at Tue Jul 19 19:00:04 2005
Hostname: prabahar
Port: 8021
--
2005-07-19T19:00:04 INFO(0) Zope Set effective user to
enmail
Traceback (most recent call last):
  File
/Programs/Zope/2.7.0/lib/python/Zope/Startup/run.py,
line 49, in ?
run()
  File
/Programs/Zope/2.7.0/lib/python/Zope/Startup/run.py,
line 19, in run
start_zope(opts.configroot)
  File
/Programs/Zope/2.7.0/lib/python/Zope/Startup/__init__.py,
line 51, in start_zope
starter.startZope()
  File
/Programs/Zope/2.7.0/lib/python/Zope/Startup/__init__.py,
line 230, in startZope
Zope.startup()
  File
/Programs/Zope/2.7.0/lib/python/Zope/__init__.py,
line 45, in startup
from Zope.App.startup import startup as _startup
  File
/Programs/Zope/2.7.0/lib/python/Zope/App/startup.py,
line 30, in ?
import OFS.Application
  File
/Programs/Zope/2.7.0/lib/python/OFS/Application.py,
line 18, in ?
import Globals,Folder,os,sys,App.Product,
App.ProductRegistry, misc_
  File
/Programs/Zope/2.7.0/lib/python/App/Product.py, line
44, in ?
from HelpSys.HelpSys import ProductHelp
  File
/Programs/Zope/2.7.0/lib/python/HelpSys/__init__.py,
line 15, in ?
import HelpSys
  File
/Programs/Zope/2.7.0/lib/python/HelpSys/HelpSys.py,
line 18, in ?
from Products.ZCatalog.ZCatalog import ZCatalog
  File
/Programs/Zope/2.7.0/lib/python/Products/ZCatalog/__init__.py,
line 16, in ?
import ZCatalog, Catalog, CatalogAwareness,
CatalogPathAwareness, ZClasses
  File
/Programs/Zope/2.7.0/lib/python/Products/ZCatalog/ZCatalog.py,
line 39, in ?
from IZCatalog import IZCatalog
  File
/Programs/Zope/2.7.0/lib/python/Products/ZCatalog/IZCatalog.py,
line 236, in ?
__doc__ = IZCatalog.__doc__ + __doc__
TypeError: unsupported operand type(s) for +:
'NoneType' and 'NoneType'
*
Kindly let me know what is the problem ? I didn't know
how to update zope.conf file.  Kindly guide
me how to start zope service

regards
Prabahar.








__
Free antispam, antivirus and 1GB to save all your messages
Only in Yahoo! Mail: http://in.mail.yahoo.com
___
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope-dev )


Re: [Zope] Reg Zope Installation Problem

2005-07-19 Thread Andreas Jung



--On 19. Juli 2005 14:42:01 +0100 praba kar [EMAIL PROTECTED] wrote:


Dear All,

I try to install zope 2.7.0.  After the
installation. I have create zope installation
directory using mkzopeinstance.py.  From that
zope installation directory I try to run
bin/runzope command.  But It will give


2.7.0 is *ancient*. Try 2.7.7.

-aj



pgp92Xsf3l6ZD.pgp
Description: PGP signature
___
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope-dev )


Re: [Zope] Reg Zope Installation Problem

2005-07-19 Thread Florent Guillaume
praba kar  [EMAIL PROTECTED] wrote:
 I try to install zope 2.7.0.

Stop right here. Zope 2.7.0 is hopelessly outdated. Use Zope 2.7.6.

Florent

-- 
Florent Guillaume, Nuxeo (Paris, France)   CTO, Director of RD
+33 1 40 33 71 59   http://nuxeo.com   [EMAIL PROTECTED]
___
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope-dev )